# $FreeBSD: head/Mk/bsd.options.desc.mk 307998 2012-11-30 08:07:06Z danfe $
#
# READ BEFORE EDITING:
# - Please keep descriptions sorted alphabetically by variable name.
#
# - Please respect these limits or the dialog options wrap or get cutoff
#  - OPTION_DESC?= must be 19 characters or less
#  - OPTION description text must be 43 characters or less
#

Options_Desc_MAINTAINER=	ports@FreeBSD.org

# OPTION_DESC:		 Description:
#  Length         |	|                   Length                |
#
A52_DESC?=		AC-3 via liba52
AAC_DESC?=		AAC/MP4 format
AACPLUS_DESC?=		AAC via libaacplus
AALIB_DESC?=		AAlib graphics library
ALSA_DESC?=		ALSA audio architecture
AMR_DESC?=		AMR 3GPP speech codec (opencore)
AMR_NB_DESC?=		AMR Narrow Band audio (opencore)
AMR_WB_DESC?=		AMR Wide Band audio (opencore)
AO_DESC?=		libao audio library
APACHE_DESC?=		Apache server
APE_DESC?=		Monkey's Audio lossless format
ARCHIVE_DESC?=		bzip2/zip/iso9660 archive
ARTS_DESC?=		aRts audio system
ASM_DESC?=		Use optimized assembly code
ASPELL_DESC?=		Spell checking via GNU Aspell
ASSERT_DESC?=		Enable debug assertions
AVAHI_DESC?=		Zeroconf via Avahi
BDB_DESC?=		Berkeley Database
BDB1_DESC?=		Berkeley DB 1.85
BITTORRENT_DESC?=	BitTorrent support
BOOST_DESC?=		Boost C++ libraries
BZIP2_DESC?=		bzip2 compression
CACA_DESC?=		libcaca graphics library
CAIRO_DESC?=		Cairo graphics library
CARES_DESC?=		Asynchronous DNS resolution via c-ares
CDDA2WAV_DESC?=		CD ripping (cdda2wav)
CDDB_DESC?=		CDDB (compact disc database)
CDIO_DESC?=		CDIO via libcdio
CDPARANOIA_DESC?=	CD ripping (cdparanoia)
CELT_DESC?=		CELT audio codec
CFITSIO_DESC?=		FITS via CFITSIO
COMPOSITE_DESC?=	X11 Composite extension
CUE_DESC?=		Embedded CUE sheets
CUPS_DESC?=		CUPS printing system
CURL_DESC?=		Data transfer via cURL
CXX_DESC?=		C++ support
DAGRAB_DESC?=		CD ripping (dagrab)
DATA_DESC?=		Install data files
DBM_DESC?=		DBM support
DBUS_DESC?=		D-Bus IPC system
DCA_DESC?=		DTS via libdca
DCRAW_DESC?=		dcraw (raw image converter)
DEBUG_DESC?=		Install debug symbols
DEVD_DESC?=		Install devd(8) files
DIRAC_DESC?=		Dirac codec via libdirac
DOCS_DESC?=		Build and/or install documentation
DOXYGEN_DESC?=		Build documentation with Doxygen
DV_DESC?=		Quasar DV video codec (libdv)
DVDCSS_DESC?=		Encrypted DVD via libdvdcss
ECW_DESC?=		ECW image format
ESOUND_DESC?=		EsounD sound server
EXAMPLES_DESC?=		Build and/or install examples
EXIV2_DESC?=		EXIF metadata support via exiv2
EXPAT_DESC?=		Expat XML parser
FAAC_DESC?=		FAAC AAC encoder
FAAD_DESC?=		FAAD AAC decoder
FAM_DESC?=		File Alteration Monitor
FASTCGI_DESC?=		FastCGI support
FFMPEG_DESC?=		FFmpeg (WMA, AIFF, AC3, APE...)
FFTW_DESC?=		Discrete Fourier Transform
FINGER_DESC?=		Finger support
FIREBIRD_DESC?=		Firebird (Interbase) database
FLAC_DESC?=		FLAC lossless audio codec
FLICKR_DESC?=		Flickr via flickcurl
FONTCONFIG_DESC?=	X11 font configuration
FORTRAN_DESC?=		Fortran support
FPECTL_DESC?=		Floating point exception handling
FPX_DESC?=		FlashPix image format
FREETDS_DESC?=		FreeTDS library
FREETYPE_DESC?=		TrueType font rendering
FREI0R_DESC?=		Frei0r video plugins
FRIBIDI_DESC?=		Bidirectional text via GNU FriBidi
FTP_DESC?=		FTP support
FTPS_DESC?=		FTP with SSL/TLS support
FUSE_DESC?=		FUSE (Filesystem in Userspace)
GCONF_DESC?=		GConf configuration backend
GCRYPT_DESC?=		GNU crypt library instead of OpenSSL
GD_DESC?=		GD graphics library
GDBM_DESC?=		GNU dbm library
GDM_DESC?=		Install GDM login manager
GEOIP_DESC?=		GeoIP support
GEOS_DESC?=		GEOS support
GEOTIFF_DESC?=		GeoTIFF file format
GGI_DESC?=		General Graphics Interface
GIF_DESC?=		GIF image format
GLADE_DESC?=		Glade interface builder
GLX_DESC?=		X11 OpenGL rendering
GMP_DESC?=		GMP (multiple precision arithmetic)
GNOME_DESC?=		GNOME desktop environment
GNOMEKEYRING_DESC?=	GNOME Keyring password manager
GNOMEVFS2_DESC?=	GnomeVFS2 (virtual file system)
GNUPG_DESC?=		GNU Privacy Guard
GNUPLOT_DESC?=		Plotting via gnuplot
GNUTLS_DESC?=		SSL/TLS via GnuTLS
GOPHER_DESC?=		Gopher support
GPERFTOOLS_DESC?=	Google gperftools
GPHOTO_DESC?=		Digital cameras via libgphoto2
GRAPHMAGICK_DESC?=	GraphicsMagick
GRAPHVIZ_DESC?=		Graphviz support
GRASS_DESC?=		GRASS support
GSM_DESC?=		GSM codec support
GSSAPI_DESC?=		GSSAPI support
GSTREAMER_DESC?=	Multimedia via GStreamer
GTK1_DESC?=		GTK+ 1 GUI toolkit
GTK2_DESC?=		GTK+ 2 GUI toolkit
GTK3_DESC?=		GTK+ 3 GUI toolkit
GUI_DESC?=		GUI (Graphical User Interface)
GUILE_DESC?=		Guile extension language
GVFS_DESC?=		Virtual filesystems via GVFS
H323_DESC?=		H.323 support
HAL_DESC?=		HAL (Hardware Abstraction Layer)
HDF5_DESC?=		HDF-5 data format
HTTPD_DESC?=		httpd output streaming
HTTPS_DESC?=		https protocol
ICONS_DESC?=		Install icons theme
ICONV_DESC?=		Encoding conversion via iconv
ID3_DESC?=		ID3 tags
ID3TAG_DESC?=		ID3 v1/v2 tags
IDN_DESC?=		International Domain Names
IMAGEMAGICK_DESC?=	ImageMagick
IMLIB_DESC?=		imlib image library
IMLIB2_DESC?=		imlib2 image library
IODBC_DESC?=		ODBC backend via iODBC
IPV4_DESC?=		IPv4 protocol
IPV6_DESC?=		IPv6 protocol
JABBER_DESC?=		Jabber support
JACK_DESC?=		JACK audio server
JASPER_DESC?=		JPEG 2000 via JasPer
JAVA_DESC?=		Java platform
JBIG_DESC?=		JBIG image format
JHEAD_DESC?=		jhead EXIF manipulator
JPEG_DESC?=		JPEG image format
KDE3_DESC?=		KDE 3 desktop environment
KDE4_DESC?=		KDE 4 desktop environment
KERBEROS_DESC?=		Kerberos support
KERBEROS4_DESC?=	Kerberos 4 support
KERBEROS5_DESC?=	Kerberos 5 support
KML_DESC?=		KML support
KWALLET_DESC?=		KWallet password manager
LADSPA_DESC?=		LADSPA audio plugins
LAME_DESC?=		LAME MP3 audio encoder
LASH_DESC?=		LASH audio
LASTFM_DESC?=		Last.fm streaming
LATEX_DESC?=		LaTeX support
LCMS2_DESC?=		LCMS2 support
LDAP_DESC?=		LDAP support
LDAPS_DESC?=		LDAPS support
LENSFUN_DESC?=		Camera lens database via LensFun
LFS_DESC?=		Large files support
LIBBLURAY_DESC?=	Blu-ray discs via libbluray
LIBEDIT_DESC?=		readline support
LIBEV_DESC?=		High-performance events via libev
LIBEXIF_DESC?=		EXIF metadata via libexif
LIBEXTRACTOR_DESC?=	libextractor support
LIBMNG_DESC?=		MNG animated images via libmng
LIBPAPER_DESC?=		libpaper support
LIBRSVG2_DESC?=		SVG vector graphics via librsvg2
LIBVISUAL_DESC?=	Audio visualisation via libvisual
LIBWMF_DESC?=		libwmf support
LIBWRAP_DESC?=		TCP wrapper support
LIBXINE_DESC?=		libxine support
LIGHTTPD_DESC?=		Lighttpd server
LIRC_DESC?=		LIRC support
LITE_DESC?=		Reduced features/memory footprint
LIVEMEDIA_DESC?=	Multimedia streaming via liveMedia
LQR_DESC?=		Liquid Rescale support
LUA_DESC?=		Lua scripting language
LZMA_DESC?=		LZMA compression
MAD_DESC?=		MAD MP3 audio decoder
MAGICK_DESC?=		ImageMagick library
MANPAGES_DESC?=		Build and/or install manual pages
MAPSERVER_DESC?=	Mapserver support
MATROSKA_DESC?=		Matroska container format
MDNSRESPONDER_DESC?=	Zeroconf via mDNSResponder
MIKMOD_DESC?=		MOD audio format
MIXER_DESC?=		Mixer support
MJPEGTOOLS_DESC?=	MJPEG Tools
MMKEYS_DESC?=		Multimedia keys
MMS_DESC?=		MMS streaming
MMX_DESC?=		Use MMX optimized routines
MODPERL_DESC?=		mod_perl support
MODPLUG_DESC?=		MODPLUG decoder
MONO_DESC?=		Mono binding/support
MOTIF_DESC?=		Motif widget library
MOUSE_DESC?=		Mouse support
MP3_DESC?=		MP3 audio format
MP4_DESC?=		MP4 audio format
MPEG2_DESC?=		MPEG-2 video via libmpeg2
MPG123_DESC?=		MP3 decoding via mpg123
MPLAYER_DESC?=		MPlayer media player
MPLS_DESC?=		MPLS support
MPP_DESC?=		Musepack audio format
MSQL_DESC?=		mSQL database
MTP_DESC?=		MTP device
MULTIBYTE_DESC?=	Multibyte character encoding
MUSEPACK_DESC?=		MPC audio format
MYSQL_DESC?=		MySQL database
MYSQL_JDBC_DESC?=	JDBC connection to MySQL databases
NAS_DESC?=		Network Audio System
NETCDF_DESC?=		NetCDF data format
NETPBM_DESC?=		Netpbm graphics toolkit
NLS_DESC?=		Native Language Support
NMAP_DESC?=		NMAP support
NNTP_DESC?=		NNTP (News) support
NOTIFY_DESC?=		Startup notification
NTLM_DESC?=		NTLM authentication
NUMPY_DESC?=		NumPy mathematical computing
OBJC_DESC?=		Objective C support
ODBC_DESC?=		ODBC backend
ODF_DESC?=		ODF file support
OGG_DESC?=		Ogg media format
OPENAL_DESC?=		OpenAL support
OPENCV_DESC?=		OpenCV support
OPENEXR_DESC?=		HDR via OpenEXR
OPENGL_DESC?=		OpenGL support
OPENJPEG_DESC?=		Enhanced JPEG graphics
OPENMP_DESC?=		Parallel processing via OpenMP
OPENSSL_DESC?=		SSL/TLS via OpenSSL
OPTIMIZED_CFLAGS_DESC?=	Use extra compiler optimizations
ORACLE_DESC?=		Oracle database
ORACLE_JDBC_DESC?=	JDBC connection to Oracle databases
OSD_DESC?=		On-screen display
OSS_DESC?=		Open Sound System
PAM_DESC?=		PAM support
PANGO_DESC?=		Pango rendering library
PCRE_DESC?=		Use Perl Compatible Regular Expressions
PDF_DESC?=		PDF document
PERL_DESC?=		Perl scripting language
PGO_DESC?=		Use Profile-Guided Optimization
PGSQL_DESC?=		PostgreSQL database
PGSQL_JDBC_DESC?=	JDBC connection to PostgreSQL databases
PHP_DESC?=		PHP binding/support
PIXBUF_DESC?=		GDK-PixBuf library
PLUGINS_DESC?=		Install plugins
PNG_DESC?=		PNG image format
PNM_DESC?=		PNM image format
POPPLER_DESC?=		PDF and PS file
PORTAUDIO_DESC?=	PortAudio library
POSTGIS_DESC?=		PostGIS support
PRINT_DESC?=		Printer support
PROFILE_DESC?=		Profiling library
PROJ_DESC?=		PROJ.4 cartographic projections library
PROXY_DESC?=		Proxy support
PTH_DESC?=		Threading/multiprocessing via GNU Pth
PULSEAUDIO_DESC?=	PulseAudio sound server
PYMALLOC_DESC?=		Use Python's internal malloc
PYTHON_DESC?=		Python bindings
QT4_DESC?=		Qt 4 toolkit
QUICKTIME_DESC?=	QuickTime support
RADIUS_DESC?=		RADIUS protocol
RAW_DESC?=		RAW support
RESIN3_DESC?=		Resin 3.x
RTMP_DESC?=		RTMP protocol via librtmp
RUBY_DESC?=		Ruby binding/support
SAMPLERATE_DESC?=	Sample rate conversion
SASL_DESC?=		SASL support
SCHROEDINGER_DESC?=	Dirac codec via libschroedinger
SCIPY_DESC?=		SciPy scientific computing
SDL_DESC?=		Simple Direct Media Layer
SEM_DESC?=		POSIX semaphores
SHOUTCAST_DESC?=	Ogg Icecast and SHOUTcast
SIMD_DESC?=		Use CPU-specific optimizations
SMB_DESC?=		SMB protocol
SNAPPY_DESC?=		Snappy compression library
SNDFILE_DESC?=		libsndfile support
SNMP_DESC?=		SNMP protocol
SOCKS_DESC?=		SOCKS proxy support
SOUND_DESC?=		Sound (audio)
SPANDSP_DESC?=		Spandsp faxing
SPEEX_DESC?=		Speex audio format
SQL_DESC?=		SQL database
SQLITE_DESC?=		SQLite database
SQLITE3_DESC?=		SQLite 3 database
SSE_DESC?=		Use SSE optimized routines
SSH_DESC?=		SSH protocol
SSL_DESC?=		SSL protocol
STATIC_DESC?=		Build static executables/libraries
STRIP_DESC?=		Strip binaries before installation
STROKE_DESC?=		Mouse gestures support via libstroke
SVG_DESC?=		SVG vector image format
SVGALIB_DESC?=		SVGA graphics
SVN_DESC?=		Subversion support
SWFDEC_DESC?=		Flash via Swfdec
SZIP_DESC?=		Szip compression
TCL_DESC?=		Tcl scripting language
TCLTK_DESC?=		Tcl/Tk toolkit
THEORA_DESC?=		Ogg Theora video codec
THREADS_DESC?=		Threading support
TIDY_DESC?=		Tidy HTML cleaner
TIFF_DESC?=		TIFF image format
TINYXML_DESC?=		XML parser via TinyXML
TK_DESC?=		Tk toolkit
TLS_DESC?=		TLS support
TOMCAT5_DESC?=		Tomcat 5.x
TOMCAT6_DESC?=		Tomcat 6.x
TOMCAT7_DESC?=		Tomcat 7.x
TREMOR_DESC?=		Tremor audio decoder
TWOLAME_DESC?=		TwoLAME MP2 audio encoder
UCS2_DESC?=		Unicode UCS-2 encoding
UCS4_DESC?=		Unicode UCS-4 encoding
UNIXODBC_DESC?=		ODBC backend via unixODBC
UNZIP_DESC?=		UnZip compression
UPNP_DESC?=		UPnP support
UTF8_DESC?=		Unicode UTF-8 encoding
UTF16_DESC?=		Unicode UTF-16 encoding
VAAPI_DESC?=		VAAPI (GPU video acceleration)
VDPAU_DESC?=		VDPAU (GPU video acceleration)
VIDEO_DESC?=		Video support
VO_AACENC_DESC?=	AAC audio encoding via vo-aacenc
VO_AMRWBENC_DESC?=	AMR Wide Band encoding via vo-amrwbenc
VORBIS_DESC?=		Ogg Vorbis audio codec
VPX_DESC?=		VP8 video codec
WAV_DESC?=		WAV audio format
WAVPACK_DESC?=		WavPack lossless audio format
WEBP_DESC?=		WebP image format
WEBSERVER_DESC?=	Build and/or install internal web server
WMA_DESC?=		Windows Media Audio support
WMF_DESC?=		Windows Metafile support
WXGTK_DESC?=		wxGTK GUI toolkit
X11_DESC?=		X11 (graphics) support
X264_DESC?=		H.264 video codec via x264
XALAN_DESC?=		Xalan XSLT processor
XCURSOR_DESC?=		Cursor themes
XERCES_DESC?=		Xerces XML parser
XFT_DESC?=		Xft font library
XINE_DESC?=		Multimedia via Xine
XINERAMA_DESC?=		X11 Xinerama extension
XKLAVIER_DESC?=		Keyboard layout settings
XML_DESC?=		XML parser
XPM_DESC?=		XPM pixmaps
XRANDR_DESC?=		X11 XRandR extension
XSPF_DESC?=		XSPF playlist format
XVID_DESC?=		Xvid MPEG-4 video codec
XVIDEO_DESC?=		X11 Video extension library
XVMC_DESC?=		X11 XvMC video extension
YAML_DESC?=		YAML format
ZLIB_DESC?=		zlib compression
