# Created by: Boris Samorodov <bsam@FreeBSD.org>
# $FreeBSD: head/devel/eric4/Makefile.inc 305911 2012-10-15 12:07:36Z bsam $
#
# This is a set of Makefile macros which allow to build the core and
# localized language packages for devel/eric4:
# french/eric4, german/eric4, russian/eric4

PORTNAME=	eric4
PORTVERSION=	4.5.7
MASTER_SITES=	SF/eric-ide/${PORTNAME}/stable/${PORTVERSION}
DISTNAME?=	${PORTNAME}-i18n-${I18N_LANG}-${PORTVERSION}
WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}

MAINTAINER?=	bsam@FreeBSD.org
COMMENT=	Full featured Python and Ruby editor and IDE based on Qt4

LICENSE=	GPLv3

RUN_DEPENDS?=	${PREFIX}/bin/eric4:${PORTSDIR}/devel/eric4

I18N_LANG?=	ru
INSTALL_CMD?=	install-i18n.py

USE_PYTHON=	2.5+
NO_BUILD=	yes
PLIST_FILES?=	%%PYTHON_SITELIBDIR%%/${PORTNAME}/i18n/${PORTNAME}_${I18N_LANG}.qm

do-install:
	@(cd ${WRKSRC}; \
	${SETENV} ${MAKE_ENV} ${PYTHON_CMD} ${INSTALL_CMD})

DESCR=		${.CURDIR}/../../devel/eric4/pkg-descr

.include <bsd.port.mk>
